\begin{defn}
  A property $(P)$ of a morphism is \emph{stable under base change} if for all fibre-products
  \[
  \begin{tikzcd}
  X'
  \ar{r}
  \ar{d}[left]{f'}
  \ar[phantom]{rd}{\lrcorner}
  &
  X
  \ar{d}[right]{f}
  \\
  Y'
  &
  Y
  \end{tikzcd}
  \]
  if $f$ satisfies $(P)$ then $f'$ does too.
\end{defn}
\begin{rem}
  \leavevmode
  \begin{enumerate}
    \item Being quasi-compact is stable under base change.
    \item Being affine is stable under base change.
    \item Being finite, of finite type, locally of finite type are stable under base change.
    \item Being an open/closed immersion is stable under base change.
    \item Being quasi-finite/injective are not stable under base change.
    \item Being closed is not stable under base change.
  \end{enumerate}
\end{rem}
\begin{defn}
  A morphism $f\mc X\to Y$ is \emph{universally closed} if for all fibre product squares
  \[
  \begin{tikzcd}
    X'
    \ar{d}[left]{f'}
    \ar{r}
    &
    X
    \ar{d}[right]{f}
    \\
    Y'
    \ar{r}[below]{g}
    &
    Y
  \end{tikzcd}
  \]
  the morphism $f'$ is closed.
\end{defn}
\begin{example}
  Finite morphisms are closed and being finite is stable under base change, so finite morphisms are universally closed.
\end{example}

\begin{defn}
  A morphism $f\mc X\to Y$ is \emph{proper} if $f$ is separated, of finite type and universally closed.
\end{defn}

A lot of technical hell is missing here. I should write this down, but i \emph{really} don't want to:/.
